SuSE 10 Security Update : clamav (ZYPP Patch Number 3758)

High Nessus Plugin ID 29401


The remote SuSE 10 host is missing a security-related patch.


This update of ClamAV fixes several security bugs.

- wrong calculation of buffer-end

- use strict permissions for temporary files

- heap corruption causing denial-of-service with corrupted rar archive

- detect block list loop


Apply ZYPP patch number 3758.

Plugin Details

Severity: High

ID: 29401

File Name: suse_clamav-3758.nasl

Version: $Revision: 1.10 $

Type: local

Agent: unix

Published: 2007/12/13

Modified: 2012/05/17

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2007/06/22